/*
 * Copyright (C) 2004 Stefano <stefano@xiaprojects.com>
 */

#ifndef _KXDOCKER_H_
#define _KXDOCKER_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kmainwindow.h>

/**
 * @short Application Main Window
 * @author Stefano <stefano@xiaprojects.com>
 * @version 0.1
 */
class KXDocker : public KMainWindow
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */
    KXDocker();

    /**
     * Default Destructor
     */
    virtual ~KXDocker();
public slots:
    void QueryClose();
};

#endif // _KXDOCKER_H_
